<?

//-------------------------------fim da autenticação---------------------//

    include("authentication.php");

	include("conexao.php");

    require("funcoes.php");

	$id_usuario = $_SESSION["id_usuario"];

	$login =  $_SESSION["login"];  

//-------------------------------fim da autenticação---------------------//

$data_agendamento = date("Y-m-d");

//echo $_POST["fk_instalacao_reserva"];

//exit();

// -------------------- Inclusão/Alteração/exclusão ------------------------------

if ($_POST['campo_funcao'] == "inc"){

  $result = mysqli_query($conexao,"insert into textos SET 

  texto='".valida_caracteres($_POST["texto"])."',

  desc_texto='".valida_caracteres($_POST["desc_texto"])."',

  dt_texto='".$data_agendamento."'

  ") or die ("erro insert ".$result.mysqli_error($conexao));

  $registro = mysqli_insert_id();

              savelog($login, "Inseriu novo texto: $registro - $_POST[texto].");

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "")){

  $result = mysqli_query($conexao,"UPDATE textos SET 

  texto='".valida_caracteres($_POST["texto"])."',

  desc_texto='".valida_caracteres($_POST["desc_texto"])."',

  situacao='".valida_caracteres($_POST["situacao"])."',

  lang='".valida_caracteres($_POST["lang"])."'

  where id='".valida_caracteres($_POST["id_tcomp"])."'") or die("erro update ".$result.mysqli_error($conexao));



              savelog($login, "Alterou dados do texto com o código: $_POST[id_tcomp] - $_POST[texto].");

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "exc")){

  $result = mysqli_query($conexao,"DELETE FROM textos WHERE id = '$_POST[id_tcomp]'") or die(mysqli_error($conexao));

  

              savelog($login, "Excluiu o texto com o código: $_POST[id_tcomp].");

}



//$alerta = $_POST['campo_funcao']."alt".$_POST['funcao_exc'];

?>

<html>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<meta name="Keywords" content="">

<script language="JavaScript">

<!--

function Redireciona(){

  <? if (isset($_POST['campo_funcao'])){

 

       if ($_POST['campo_funcao'] == "inc"){

	     $time = time();   // P/ forçar a atualização da página... (não abrir do cache)

	     echo "open('cad_texto_alt.php?id_tcomp=$registro', '_top');";

	   }else if ($_POST['campo_funcao'] == "alt")

	   	   if($_POST['funcao_exc'] == ""){

	       echo "open('cad_texto_alt.php?id_tcomp=$_POST[id_tcomp]', '_top');";  

           }else{

	       echo "open('lista_textos.php', '_top');";

           } 	   



      }

  ?>

}

-->

</script>

</head>

<body onLoad="JavaScript:Redireciona()">  

	  



</body>

</html>